<html xmlns="http://www.w3.org/1999/xhtml" dir="ltr" lang="es-ES">
<head>

    <meta http-equiv="Content-Type" content="text/html; charset=latin1_spanish_ci" />
    <meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" />
    <title>...::: Sistema de Registro, Control y Asistencia T&eacute;cnica de Equipos Tenol&oacute;gicos - SIRECONASTET-DTPCG :::...</title>
	<!--<link rel="stylesheet" href="http://code.jquery.com/ui/1.10.1/themes/base/jquery-ui.css" /> -->
   <link rel="stylesheet" href="js/jquery-ui.css" />
    <link rel="stylesheet" href="css/main.css" type="text/css" media="screen" />
<style type="text/css">
.Estilo1 {
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-weight: normal;
    font-size: 12px;
    color:#000000;
    vertical-align:middle;
    text-align: center; 
}
.Estilo2 {
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 12px;
    color:#F0F8FF;
    vertical-align:middle;
}
.Estilo3 {
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 12px;
    color:#FF0000;
    vertical-align:middle;
}
</style>	

<!--<script src="http://code.jquery.com/jquery-1.9.1.js"></script>
<script src="http://code.jquery.com/ui/1.10.1/jquery-ui.js"></script> -->
<script src="js/jquery-1.9.1.js"></script>
<script src="js/jquery-ui.js"></script>



<script>
$(function () {
$("#fecha").datepicker();
$("#fecha2").datepicker();
});
</script>
<script>
$(function(){
 $.datepicker.regional['es'] = {
 closeText: 'Cerrar',
 prevText: '< Ant',
 nextText: 'Sig >',
 currentText: 'Hoy',
 monthNames: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre', 'Noviembre', 'Diciembre'],
 monthNamesShort: ['Ene','Feb','Mar','Abr', 'May','Jun','Jul','Ago','Sep', 'Oct','Nov','Dic'],
 dayNames: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
 dayNamesShort: ['Dom','Lun','Mar','Mié','Juv','Vie','Sáb'],
 dayNamesMin: ['Do','Lu','Ma','Mi','Ju','Vi','Sá'],
 weekHeader: 'Sm',
 dateFormat: 'dd/mm/yy',
 firstDay: 1,
 isRTL: false,
 showMonthAfterYear: false,
 yearSuffix: ''
 };
 $.datepicker.setDefaults($.datepicker.regional['es']);
});
</script>
</head>
<body bgcolor="#F0F0F0">
<?php 
  include "mnPrincipal.php";
  
?>
 <table width="946px" border="2" align="center" cellpadding="15" cellspacing="10" bordercolor="#FF0000">
      <tr>
        <td colspan="6"><div align="center" class="Estilo1">      
          <p>&nbsp;</p>
          <p>&nbsp;</p>
          <p> <b>CONSULTA POR TIPO DE EQUIPO SEGUN PERIODO A ELEGIR</b> </p>
        </div></td>
      </tr>
	  <tr>
        <td colspan="6">   
          <form name="fecha" method="post" action="">
		  <fieldset style=" border: 1px solid #8A0808;"> <legend>Seleccione el Periodo a Consultar</legend>
		  <div align="center" class="Estilo1"> 
		  <p align="center">
		  <table  align="center" width="60%">
		  		<tr><td align="center" valign="middle" width="40%">  
		   			 <div align="center">
		     		 <h2 class="Estilo3">Fecha Inicio:</h2> <input type="text"  name="fecha" id="fecha"  value="<?php if(isset($_POST['boton'])){
			echo $_POST['fecha'];
		}else{
			echo "";
		} ?>" />
		    			</div>
		   
	        		</td>
					<td align="center" valign="middle" width="40%">
					<div align="center"><h2 class="Estilo3">Fecha Final:</h2><input type="text" name= "fecha2" id="fecha2"  value="<?php if(isset($_POST['boton'])){
		echo $_POST['fecha2'];
}else{
		echo "";
	} ?>" />
						</div>
		  
            		</td>
				</tr></p>
			
			<tr><td colspan="2">
			<p align="center"><br><input type="submit" value="Buscar..." name="boton"></p>
		  
		  </fieldset>
		  
		  </form>
		  
		 </div></td>
		 </tr>
		</table>
		</tr></td>
		</table>
<?php
if(isset($_POST['boton'])){
$fecha1=$_POST["fecha"];
$fecha2=$_POST["fecha2"];

$fecha_1=substr($fecha1,6,4) . '-' .  substr($fecha1,3,2) . '-' . substr($fecha1,0,2);
$fecha_2=substr($fecha2,6,4) . '-' .  substr($fecha2,3,2) . '-' . substr($fecha2,0,2);
echo "<b>Periodo seleccionado:</b> <i>$fecha_1 hasta $fecha_2</i> <br>";
include "conexion/conex.php";
$enlace =conectarbase();
$sql = "SELECT DISTINCT Num_bien from reporte where Fecha_hora_inicio BETWEEN '$fecha_1' and '$fecha_2' ";
$resul=mysql_query($sql);
if ($resul>0){
 	$i=1;
	$num=mysql_num_rows($resul);
 	while ($row=mysql_fetch_array($resul)) { 
 		$reportes[$i][0]=$row['Num_bien'];
		$num_bien=$row['Num_bien'];
		$sql1="SELECT * from reporte where Num_bien='$num_bien'";
		$resul1=mysql_query($sql1);
		$row2=mysql_fetch_array($resul1);
		$reportes[$i][1]=$row2['Equipo_tecnologico'];
		$reportes[$i][2]=$row2['Nombre_direccion'];
		$i++;
    }
	$reg=$i;
	//echo "****************************** $num  reg $reg ";				
	$sql_accion="SELECT accion from t_accion Order by accion asc";
	$resul_acciones=mysql_query($sql_accion);
	$j=3;//columna donde comienzan las acciones
		$colum = "Num. Bien:";
		$colum .= "Equipo T.:";
		$colum .= "Dirección:";
	while ($row2=mysql_fetch_array($resul_acciones)) { 
 		$reportes[0][$j]=$row2['accion'];
		$columnas[$j]=$row2['accion'];
		$colum .= $columnas[$j] .":";
		//echo "columna $j: ".$columnas[$j]."";
		$j++;
    }
	//echo"************+j=$j";
	$reportes[0][$j]="<b>Total</b>";
	$colum .= "Total";
	$col=$j;
	//inicializando la matriz********************
	for ($i=1;$i<$reg;$i++){
		 for ($j=3;$j<=$col;$j++){
		 	$reportes[$i][$j]=0;
		 }
	}
	$reportes[0][0]="Num. Bien";
	$reportes[0][1]="Equipo Tecnológico";
	$reportes[0][2]="Dirección";	
		
//**********************buscando los registros
	for($i=1;$i<$reg;$i++){
		$valor=$reportes[$i][0];
		$sql="SELECT * from reporte where Num_bien='$valor' and  Fecha_hora_inicio BETWEEN '$fecha_1' and '$fecha_2'";
		$resul=mysql_query($sql);
		$ban=0;
		while ($row=mysql_fetch_array($resul)) {
		 	$servicio=$row['Tipo_servicio'];
			$indice=array_search($servicio,$columnas);
			//echo "******************** $indice";
			switch($indice){
				case 3: //Actualización de pagina web
					$reportes[$i][3]+=1;
					break;
				case 4: //Adm de sistemas de red
					$reportes[$i][4]+=1;
					break;
				case 5: //Asist. y soporte tecnico
					$reportes[$i][5]+=1;
					break;
				case 6: //Adm de sistemas de red
					$reportes[$i][6]+=1;
					break;
				case 7: //Capacitacion
					$reportes[$i][7]+=1;
					break;
				case 8: //Informes Realizados
					$reportes[$i][8]+=1;
					break;
				case 9: //Mantenimiento Correctivo
					$reportes[$i][9]+=1;
					break;
				case 10: //Mantenimiento Preventivo
					$reportes[$i][10]+=1;
					break;
				case 11: //Respaldos
					$reportes[$i][11]+=1;
					break;
														
			}
		}
	}
?>
<table width="946px"><tr><td>
	<table  width="100%" border="1" align="center" cellpadding="2" cellspacing="2" bordercolor="#000000" style="border: 1px solid #000000;">
	<?php
	$contenido="";
	for($i=0;$i<$reg;$i++){
		$sum_filas=0;
		if ($i==0){
			echo "<tr bordercolor='#000000' bgcolor='#000000' class='Estilo2' width='10%' bordercolor='#000000'>"; 
		}else{
			echo "<tr bordercolor='#000000' class='Estilo1' width='10%' bordercolor='#000000'>";
		}
		for ($j=0;$j<$col;$j++){
		 	if($i==0){
		   		echo "<td  style='border: 1px solid #000000;' class='Estilo2'>" . $reportes[$i][$j] ."</td>";
			}else{
				echo "<td  style='border: 1px solid #000000;' class='Estilo1'>" . $reportes[$i][$j] ."</td>";
				$contenido.=$reportes[$i][$j].":";
			}  
			if ($i>=1){
			    $sum_filas+=$reportes[$i][$j];
			}
	    }
		if($i>=1){
		    $reportes[$i][$j]=$sum_filas;
			$contenido.=$sum_filas."*";
		    echo "<td  style='border: 1px solid #000000;' class='Estilo1'><b>" . $reportes[$i][$j] ."<b></td></b>";
		}else{
			echo "<td style='border: 1px solid #8A0808;'>" . $reportes[$i][$j] ."</td>";
		}
		echo "</tr>";
	}
				 
	echo "</table>";
				 
}else{
 	echo "<script LANGUAGE='JavaScript'>
         alert('No hay Ningun Reporte para Mostrar');
         history.go(-1)
         </script>";
}	
           	  
?>
</td></tr>
</table>  
<br> <br> <br>
		 <form action="rep_imp_pdf_tequipo.php" method="get" target="_blank">
			<input type="hidden" value="<?php echo $fecha_1;?>" name="fecha1">
			<input type="hidden" value="<?php echo $fecha_2;?>" name="fecha2">
			<input type="hidden" value="<?php echo $colum;?>" name="columnas">
			<input type="hidden" value="<?php echo $contenido;?>" name="contenido">
         <p align="center">  <input type="submit" value="Generar Reporte para Impresión"></p>				 
<?php				
}?>	
 
<script type="text/javascript" src="js/jquery-ui.min.js"></script>
<script type="text/javascript" src="jquery.js"></script>
    <script type="text/javascript" src="main.js"></script>  
<!--<script src="http://code.jquery.com/jquery-1.9.1.js"></script>
<script src="http://code.jquery.com/ui/1.10.1/jquery-ui.js"></script> 	 -->
<script src="js/jquery-1.9.1.js"></script>
<script src="js/jquery-ui.js"></script>
</body>
</html>